###################################################
### chunk number 1: 
###################################################
library(scuba)


###################################################
### chunk number 2: 
###################################################
opa <- par(mfrow=c(1,2))
d1 <- dive(c(20,20), c(5,5))
data(pedro)
plot(d1, main="", lwd=4)
plot(pedro950, main="", col.gases=1)
par(opa)


###################################################
### chunk number 3: 
###################################################
d <- dive(c(18,45))


###################################################
### chunk number 4: 
###################################################
d <- dive(c(18,45))
haldane(d)


###################################################
### chunk number 5: 
###################################################
data(pedro)
frag <- chop.dive(pedro902, 0, 35)
hald <- haldane(frag, relative=TRUE, model="Z")
otu  <- oxtox(frag)


###################################################
### chunk number 6: 
###################################################
opa <- par(mfrow=c(1,2))
pozzie <- barplot(hald,
                  xlab=paste("Tissues (ZH-L16A)", sep=""),
                  ylab="Relative saturation",
                  main=paste("Time= 35 min\n",
                    "Accumulated oxygen toxicity", round(otu, 1)),
                      ylim=range(c(0, 1.1, 1.1 * max(hald))),
                      names.arg=NULL)
mtext(side=1, at=pozzie[1], line=1, text="Fast")
mtext(side=1, at=pozzie[17], line=1, text="Slow")
abline(h=1, lty=3, col="red")
plot(pedro902)
abline(v=35, lty=2, col="green")
par(opa)


###################################################
### chunk number 7: 
###################################################
hald902 <- haldane(pedro902, progressive=TRUE, relative=TRUE)


###################################################
### chunk number 8: 
###################################################
persp(times.dive(pedro902), 1:8, hald902,
      theta=-45, shade=0.5, col="yellow", border=NA,
      xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### chunk number 9: 
###################################################
ndl(24)


###################################################
### chunk number 10: 
###################################################
nitrox(0.32)
nitrox(1)


###################################################
### chunk number 11: 
###################################################
mod(nitrox(0.32))


###################################################
### chunk number 12: 
###################################################
nd <- dive(nitrox(0.32), c(18, 45))


###################################################
### chunk number 13: 
###################################################
d <- dive(trimix(0.18, 0.45), c(40, 20), c(30,10), 9, nitrox(0.6), 
        c(9,3), c(6, 5), c(3, 11))
plot(d)


###################################################
### chunk number 14: 
###################################################
detach("package:scuba")


###################################################
### chunk number 15: 
###################################################
library(scuba)


###################################################
### chunk number 16: 
###################################################
d <- dive(c(18, 45), c(5,3))


###################################################
### chunk number 17: 
###################################################
plot(d)


###################################################
### chunk number 18: 
###################################################
d


###################################################
### chunk number 19: 
###################################################
summary(d)


###################################################
### chunk number 20: 
###################################################
d2 <- dive(c(18, 45), c(5,3))


###################################################
### chunk number 21: 
###################################################
plot(d2)
d2


###################################################
### chunk number 22: 
###################################################
d3 <- dive(c(30,15),c(9,1),c(5,5),c(0,60),c(12,60),c(5,5))


###################################################
### chunk number 23: 
###################################################
plot(d3)


###################################################
### chunk number 24:  eval=FALSE
###################################################
## mydata <- read.table("myfile.txt", header=TRUE, as.is=TRUE)


###################################################
### chunk number 25: 
###################################################
data(baron)
mydata <- baron


###################################################
### chunk number 26: 
###################################################
head(mydata)


###################################################
### chunk number 27: 
###################################################
mydf <- mydata[ , 1:2]


###################################################
### chunk number 28: 
###################################################
head(mydf)
is.character(mydf[,1])


###################################################
### chunk number 29: 
###################################################
d <- dive(mydf)


###################################################
### chunk number 30: 
###################################################
data(baron)
mydf <- baron[, 1:2]
baronprof <- dive(mydf[,1:2])


###################################################
### chunk number 31: 
###################################################
data(pedro)
plot(pedro902)


###################################################
### chunk number 32: 
###################################################
d <- dive(c(30, 20), c(5, 3))
depths.dive(d)
times.dive(d)


###################################################
### chunk number 33: 
###################################################
depths.dive(d) <- c(0, 35, 35, 5, 5, 0)
d


###################################################
### chunk number 34: 
###################################################
depths.dive(d)[2:3] <- 35


###################################################
### chunk number 35: 
###################################################
durations.dive(d)[2] <- 25


###################################################
### chunk number 36: 
###################################################
chop.dive(d, 0, 10)


###################################################
### chunk number 37: 
###################################################
data(pedro)
tim <- times.dive(pedro902)
dep <- depths.dive(pedro902)
plot(pedro902)


###################################################
### chunk number 38: 
###################################################
t9 <- max(tim[dep >= 9])
t9


###################################################
### chunk number 39: 
###################################################
before <- chop.dive(pedro902, 0, t9)
after <- chop.dive(pedro902, t9)


###################################################
### chunk number 40: 
###################################################
newdive <- dive(before, c(9, 5), after)
plot(newdive)


###################################################
### chunk number 41: 
###################################################
m <- pickmodel("USN")
m


###################################################
### chunk number 42: 
###################################################
ndl(30, model="USN")


###################################################
### chunk number 43: 
###################################################
d <- dive(c(18,60), c(5,5))
haldane(d)


###################################################
### chunk number 44: 
###################################################
haldane(d, relative=TRUE)


###################################################
### chunk number 45:  eval=FALSE
###################################################
## data(pedro)
## h <- haldane(pedro902, progressive=TRUE, relative=TRUE)
## tim <- times.dive(pedro902)
## tiss <- row.names(as.data.frame(pickmodel("D")))
## ntiss <- length(tiss)
## image(tim, 1:ntiss, h, xlab="Time", ylab="Tissue", axes=FALSE)
## axis(1)
## axis(2, at=1:ntiss, labels=tiss)


###################################################
### chunk number 46: 
###################################################
tim <- times.dive(pedro902)
tiss <- row.names(as.data.frame(pickmodel("D")))
ntiss <- length(tiss)
image(tim, 1:ntiss, hald902, xlab="Time", ylab="Tissue", axes=FALSE)
axis(1)
axis(2, at=1:ntiss, labels=tiss)


###################################################
### chunk number 47:  eval=FALSE
###################################################
## persp(tim, 1:ntiss, h,
##       theta=-45, shade=0.5, col="yellow", border=NA,
##       xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### chunk number 48: 
###################################################
persp(tim, 1:ntiss, hald902,
      theta=-45, shade=0.5, col="yellow", border=NA,
      xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### chunk number 49: 
###################################################
opa <- par(mfrow=c(1,2))
pozzie <- barplot(hald,
                  xlab=paste("Tissues (ZH-L16A)", sep=""),
                  ylab="Relative saturation",
                  main=paste("Time= 35 min\n",
                    "Accumulated oxygen toxicity", round(otu, 1)),
                      ylim=range(c(0, 1.1, 1.1 * max(hald))),
                      names.arg=NULL)
mtext(side=1, at=pozzie[1], line=1, text="Fast")
mtext(side=1, at=pozzie[17], line=1, text="Slow")
abline(h=1, lty=3, col="red")
plot(pedro902)
abline(v=35, lty=2, col="green")
par(opa)


###################################################
### chunk number 50: 
###################################################
oxtox(pedro902)


###################################################
### chunk number 51: 
###################################################
nitrox(0.36)
nitrox(1)
nitrox(0.21)


###################################################
### chunk number 52: 
###################################################
trimix(0.18, 0.45)


###################################################
### chunk number 53: 
###################################################
summary(nitrox(0.36))


###################################################
### chunk number 54: 
###################################################
ead(24, nitrox(0.32))


###################################################
### chunk number 55: 
###################################################
mod(nitrox(0.36), 1.5)


###################################################
### chunk number 56: 
###################################################
maxmix(40, 1.5)


###################################################
### chunk number 57: 
###################################################
dive(nitrox(0.32), c(30,20))


###################################################
### chunk number 58: 
###################################################
dive(c(30,20), 5, nitrox(0.36), c(5,3))


###################################################
### chunk number 59: 
###################################################
dive(nitrox(0.25), c(30, 20), c(5,3), c(0, 20))
dive(nitrox(0.25), c(30, 20), c(5,3), 0, air, c(0, 20))


###################################################
### chunk number 60: 
###################################################
d <- dive(c(30,20), c(5,5))


###################################################
### chunk number 61: 
###################################################
tanklist(d) <- list(nitrox(0.32))


###################################################
### chunk number 62: 
###################################################
d <- dive(air, c(30,40), 6, nitrox(0.5), c(6,3), c(3,3))


###################################################
### chunk number 63: 
###################################################
tanklist(d) <- list(nitrox(0.32), nitrox(0.5))


###################################################
### chunk number 64: 
###################################################
tanklist(d)[[1]] <- nitrox(0.32)


###################################################
### chunk number 65: 
###################################################
tanklist(d) <- list(deep=nitrox(0.32), deco=nitrox(0.5))


###################################################
### chunk number 66: 
###################################################
names(tanklist(d)) <- c("deep", "deco")


###################################################
### chunk number 67: 
###################################################
TL <- list(travel=trimix(0.18, 0.45), deco=nitrox(0.6))
d <- dive(tanklist=TL, tank="travel", c(30,40), 6, 
            tank="deco", c(6,3), c(3,3))


###################################################
### chunk number 68: 
###################################################
whichtank(d)


###################################################
### chunk number 69: 
###################################################
whichtank(d) <- ifelse(depths.dive(d) < 3, "travel", "deco")


###################################################
### chunk number 70: 
###################################################
whichtank(d)[depths.dive(d) > 3] <- "travel"


